<antlr.CommonAST text="PROG" type="34">
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="makesquare" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="50" type="9"/><antlr.CommonAST text="red" type="33"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="setx" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="350" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="250" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="animate" type="43">
<antlr.CommonAST text="BLOCK_STMT" type="36">
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="inc" type="8"/><antlr.CommonAST text="5" type="9"/></antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="gety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="if" type="41">
<antlr.CommonAST text="&gt;" type="27">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="500" type="9"/></antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="UMINUS" type="40">
<antlr.CommonAST text="175" type="9"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="+" type="18">
<antlr.CommonAST text="y" type="8"/><antlr.CommonAST text="inc" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
<antlr.CommonAST text="=" type="23">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="FUNC_CALL" type="37">
<antlr.CommonAST text="sety" type="8"/><antlr.CommonAST text="EXPR_LIST" type="38">
<antlr.CommonAST text="square" type="8"/><antlr.CommonAST text="y" type="8"/></antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>
</antlr.CommonAST>

